Bug 24067 - /proc/sys/dev/cdrom/lock problems
Summary: /proc/sys/dev/cdrom/lock problems
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks: 20897
TreeView+ depends on / blocked
 
Reported: 2001-01-15 21:20 UTC by David Balažic
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 23:20:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2001-01-15 21:20:11 UTC
After magicdev disables locking, the file /proc/sys/dev/cdrom/lock 
still has the value '1'. ( should be '0' )
Writing '1' to the file has no effect ( it should turn locking on )
Writing '0' and then '1' turns locking on.

Comment 1 Glen Foster 2001-01-16 16:37:37 UTC
This defect is considered MUST-FIX for Florence Gold release


Comment 2 Arjan van de Ven 2001-01-31 14:22:46 UTC
This is related to bug 6006


Comment 3 Michael K. Johnson 2001-03-01 01:34:36 UTC
Doug, is this related to the disk not being reported correctly
as removeable bug that you have been looking at lately for Dell?
Either way, could you please look into this?

Comment 4 Doug Ledford 2001-03-01 09:22:56 UTC
This isn't actually a bug (although it sounds like one).  The file
/proc/sys/dev/cdrom/lock is not a state file, it's a default mode file.  It is
global to the entire cdrom driver.  Magicdev is making changes to a specific
cdrom instance.  Changing the global default behavior is not suppossed to change
the behavior of a specific instance of cdrom.  If anything, the fact that
setting the contents to 0 and then back to 1 overrides the change that magicdev
has already made should be considered a bug.  If you want this changed, it can
be done, but it is a very low priority in my opinion.


Note You need to log in before you can comment on or make changes to this bug.